### Interface

# GtkOrientable

#### Description [src]

    interface Gtk.Orientable : GObject.Object

The `GtkOrientable` interface is implemented by all widgets that can be oriented horizontally or vertically.

`GtkOrientable` is more flexible in that it allows the orientation to be changed at runtime, allowing the widgets to “flip”.

## CSS nodes

`GtkWidget` types implementing the `GtkOrientable` interface will automatically acquire the `horizontal` or `vertical` CSS class depending on the value of the `GtkOrientable:orientation` property.

#### Prerequisite

In order to implement Orientable, your type must inherit from`GObject`.

#### Implementations

- GtkBox
- GtkBoxLayout
- GtkCellAreaBox
- GtkCellRendererProgress
- GtkCellView
- GtkCenterBox
- GtkFlowBox
- GtkGrid
- GtkGridView
- GtkLevelBar
- GtkListBase
- GtkListView
- GtkPaned
- GtkProgressBar
- GtkRange
- GtkScale
- GtkScaleButton
- GtkScrollbar
- GtkSeparator
- GtkShortcutsGroup
- GtkShortcutsSection
- GtkSpinButton
- GtkStackSwitcher
- GtkVolumeButton

#### Instance methods

###### gtk_orientable_get_orientation

Retrieves the orientation of the `orientable`.

###### gtk_orientable_set_orientation

Sets the orientation of the `orientable`.

#### Properties

###### Gtk.Orientable:orientation

The orientation of the orientable.

#### Interface structure

    struct GtkOrientableIface {
      GTypeInterface base_iface;

    }

No description available.

###### Interface members

`base_iface`

    GTypeInterface

| No description available.